﻿using System.Windows;
using Bill.Helpers;
using GalaSoft.MvvmLight;

namespace Bill.Views.Setup.SubViews
{
    /// <summary>
    /// Interaction logic for GenericDialog.xaml
    /// </summary>
    public partial class GenericDialog : Window
    {
        public GenericDialog(ViewModelBase _vm)
        {
            vm = _vm;

            if (Application.Current.MainWindow.IsLoaded)
            {
                this.Owner = Application.Current.MainWindow;
            }

            InitializeComponent();
            this.DataContext = vm;
        }

        protected override System.Windows.Automation.Peers.AutomationPeer OnCreateAutomationPeer()
        {
            return new CustomWindowAutomationPeer(this);
        }

        /// <summary>
        /// Instance of the view model base
        /// </summary>
        ViewModelBase vm;
    }
}
